<?php
session_start();
require_once 'includes/header.php';
require_once 'includes/config.php';
$error=false;
$errors=array();
// avoid user arriving to this page without logging in
if(!isset($_SESSION['user_logged_in']) && $_SESSION['user_logged_in']!=TRUE )
{
	header('Location:login.php');

}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
	
	
	$cate=$_POST['cate_id'];
	$fname=$_POST['fname'];
	
	
	
	
	
	
	
	
	if(empty($fname)){
		$error=true;
		$errors['fname']='Please enter Credit ';
	}
	
	
	
	
	if($error==false)
	{
		$createCustomer=mysqli_query($con,"INSERT INTO credit_logs (user_id,credits,created_at) VALUES('".$cate."','".$fname."','".date('Y-m-d H:i:s')."')");
		
		if($createCustomer){
			$errors['success']='Credit added successfully.';
		}else{
			$error=true;
			$errors['error']='Something went wrong!!!, Please try again.';
		}
	}
	
	
}
$category=mysqli_query($con,"SELECT * FROM users WHERE role=3 GROUP BY phone ");
?>
 <div class="content">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12">
              <div class="card">
                <div class="card-header card-header-primary">
                  <h4 class="card-title">Add Topup User</h4>
                  <p class="card-category"></p>
                </div>
                <div class="card-body">

<?php

if (isset($error) && $error==false && isset($errors['success'])) {
	echo '<div class="alert alert-success" role="alert" id="success_message">Success <i class="glyphicon glyphicon-thumbs-up"></i> '.$errors['success'].'</div>';
} 

if (isset($error) && $error==true && isset($errors['error'])) {
	echo '<div class="alert alert-danger" role="alert" id="success_message">Success <i class="glyphicon glyphicon-thumbs-up"></i> '.$errors['error'].'</div>';
} 

?>

  <form role="form" method="post" enctype="multipart/form-data">
   <div class="box-body">
   

   
   <div class="row">
   <div class="col-md-6">
  
   <div class="form-group">
	<select name="cate_id" class="form-control" required>
	<option value="">Select User</option>
	<?php if(mysqli_num_rows($category)>0){
		  while ($cat=mysqli_fetch_array($category)){
	?>
		<option value="<?php echo $cat['id'];?>"><?php echo $cat['phone'];?></option>
	<?php } } ?>
	</select>
	<?php if($error==true && isset($errors['cate_id'])){?>
		<p class="error"><?php echo $errors['cate_id'];?></p>
	<?php } ?>
   </div>
   </div>
   <div class="col-md-6">
   
   <div class="form-group">
	<input type="text" name="fname" required class="form-control" placeholder="Credit Point" >
	<?php if($error==true && isset($errors['fname'])){?>
		<p class="error"><?php echo $errors['fname'];?></p>
	<?php } ?>
   </div>
   </div>
   
   
   
   </div>
   
   
   
   <div class="box-footer">
		<button type="submit" class="btn btn-primary">Save</button>
   </div>
			  
   </form>
  </div>
  </div>
  </div>
  </div>
  </div>
  </div>

<?php include_once 'includes/footer.php'; ?>